The Gnome Chemistry Utils: gtkcrystalviewer.h File Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

# gtkcrystalviewer.h File Reference

`#include <gtk/gtkbin.h>`
`#include <libxml/tree.h>`

Go to the source code of this file.

## Defines
#define | GTK_TYPE_CRYSTAL_VIEWER (gtk_crystal_viewer_get_type ())
#define | GTK_CRYSTAL_VIEWER(obj) (GTK_CHECK_CAST ((obj), GTK_TYPE_CRYSTAL_VIEWER, GtkCrystalViewer))
#define | GTK_CRYSTAL_VIEWER_CLASS(klass) (GTK_CHECK_CLASS_CAST ((klass), GTK_TYPE_CRYSTAL_VIEWER, GtkCrystalViewerClass))
#define | GTK_IS_CRYSTAL_VIEWER(obj) (GTK_CHECK_TYPE ((obj), GTK_TYPE_CRYSTAL_VIEWER))
#define | GTK_IS_CRYSTAL_VIEWER_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), GTK_TYPE_CRYSTAL_VIEWER))
#define | GTK_CRYSTAL_VIEWER_GET_CLASS(obj) (GTK_CHECK_GET_CLASS ((obj), GTK_TYPE_CRYSTAL_VIEWER, GtkCrystalViewerClass))
## Typedefs
typedef struct _GtkCrystalViewer | GtkCrystalViewer
typedef struct _GtkCrystalViewerClass | GtkCrystalViewerClass
## Functions
GtkWidget * | gtk_crystal_viewer_new (xmlNodePtr node)
void | gtk_crystal_viewer_set_data (GtkCrystalViewer *viewer, xmlNodePtr node)

## Detailed Description

Declaration of the GtkCrystalViewer widget.

Definition in file gtkcrystalviewer.h.

## Define Documentation

#define GTK_CRYSTAL_VIEWER | ( | obj |  | ) | (GTK_CHECK_CAST ((obj), GTK_TYPE_CRYSTAL_VIEWER, GtkCrystalViewer))

Casts obj to a GtkCrystalViewer * pointer.

Returns:
  a pointer to the GtkCrystalViewer * or NULL if obj does not point to a GtkCrystalViewer widget.

Definition at line 42 of file gtkcrystalviewer.h.

#define GTK_CRYSTAL_VIEWER_CLASS | ( | klass |  | ) | (GTK_CHECK_CLASS_CAST ((klass), GTK_TYPE_CRYSTAL_VIEWER, GtkCrystalViewerClass))

Casts klass to a GtkCrystalViewerClass * pointer.

Returns:
  a pointer to the GtkCrystalViewerClass * or NULL if obj not point to a GtkCrystalViewerClass.

Definition at line 47 of file gtkcrystalviewer.h.

#define GTK_CRYSTAL_VIEWER_GET_CLASS | ( | obj |  | ) | (GTK_CHECK_GET_CLASS ((obj), GTK_TYPE_CRYSTAL_VIEWER, GtkCrystalViewerClass))

Returns:
  the GtkCrystalViewerClass * associated to obj if obj points to a GtkCrystalViewer widget, NULL otherwise.

Definition at line 60 of file gtkcrystalviewer.h.

#define GTK_IS_CRYSTAL_VIEWER | ( | obj |  | ) | (GTK_CHECK_TYPE ((obj), GTK_TYPE_CRYSTAL_VIEWER))

Returns:
  TRUE if obj points to a GtkCrystalViewer widget, FALSE otherwise.

Definition at line 51 of file gtkcrystalviewer.h.

#define GTK_IS_CRYSTAL_VIEWER_CLASS | ( | klass |  | ) | (GTK_CHECK_CLASS_TYPE ((klass), GTK_TYPE_CRYSTAL_VIEWER))

Returns:
  TRUE if klass points to a GtkCrystalViewerClass, FALSE otherwise.

Definition at line 55 of file gtkcrystalviewer.h.

#define GTK_TYPE_CRYSTAL_VIEWER (gtk_crystal_viewer_get_type ())

Returns:
  the GType associated to GtkCrystalViewer

Definition at line 36 of file gtkcrystalviewer.h.

## Typedef Documentation

typedef struct _GtkCrystalViewer GtkCrystalViewer

The GtkCrystalViewer widget.

Definition at line 63 of file gtkcrystalviewer.h.

typedef struct _GtkCrystalViewerClass GtkCrystalViewerClass

The GtkCrystalViewer widget object class.

Definition at line 65 of file gtkcrystalviewer.h.

## Function Documentation

GtkWidget* gtk_crystal_viewer_new | ( | xmlNodePtr | node | ) |

Parameters:

  | node,: | a pointer to an xlNode (from libxml) containing the serialized version of the crystal to display as saved by Gnome Crystal or NULL.

Builds a new GtkCrystalViewer widget and, if node is not NULL, fills it with the Crystal structure described in node.

Returns:
  a pointer to the new viewer.

Referenced by main().

void gtk_crystal_viewer_set_data | ( | GtkCrystalViewer * | viewer,
|  | xmlNodePtr | node |
| ) |  |  |

Parameters:

  | viewer,: | a pointer to a GtkCrystalViewer widget.
  | node,: | a pointer to an xlNode (from libxml) containing the serialized version of the crystal to display as saved by Gnome Crystal.

Replaces the content of viewer by the Crystal structure described in node.